<?php

set_include_path("../../");
include_once("server/class/PedidosManager.php");

$jsonParams = file_get_contents('php://input');
$paramObj = json_decode($jsonParams);

if (isset($paramObj->idPedido) && isset($paramObj->idLocal) && isset($paramObj->token) && $paramObj->token == TOKEN_BRODEVO) {
   $status = PedidosManager::removePedido($paramObj->idPedido, $paramObj->idLocal);
   $response['status'] = ($status)?"OK":"Pedido no encontrado, o previamente removido";
   $response['error'] = ($status)?0:-1;
} else {
    $response['error'] = -2;
    $response['status'] ="Faltan parámetros";
}

header('Content-Type: application/json; charset=utf-8');
echo json_encode($response);
